%global rel 1_23
%global checkout ece6550

Name:           mediawiki123-openid
Version:        4.4.0
Release:        1%{?dist}
Summary:        Allow users to login with OpenID

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:OpenID
Source0:        https://extdist.wmflabs.org/dist/extensions/OpenID-REL%{rel}-%{checkout}.tar.gz
BuildArch:      noarch

Requires:       mediawiki123
Requires:       php-gmp
Requires:       php-mcrypt
Requires:       php-pear-Net-Curl
Requires:       php-xml
Requires:       openssl
Requires:       php-pear-Auth-OpenID

%description
Allow users with accounts on other OpenID-enabled
sites to log in; if enabled, it also allows to use
OpenID identities on other sites


%prep
%setup -q -n OpenID

%post
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once("$IP/extensions/OpenID/OpenID.php");

Also, apply all sql scripts in patches.

for each MediaWiki instance you wish to install %{name} on.' > README.fedora

%build

%install
mkdir -p %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/
mkdir -p %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/i18n/
mkdir -p %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/patches/
mkdir -p %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/skin/icons/
install -cpm 644 %{_builddir}/%{buildsubdir}/*.php %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/
install -cpm 644 %{_builddir}/%{buildsubdir}/i18n/*.json %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/i18n/
install -cpm 644 %{_builddir}/%{buildsubdir}/skin/*.{css,js} %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/skin/
install -cpm 644 %{_builddir}/%{buildsubdir}/skin/icons/*.png %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/skin/icons/
install -cpm 644 %{_builddir}/%{buildsubdir}/patches/*.sql %{buildroot}%{_datadir}/mediawiki123/extensions/OpenID/patches/

%files
%defattr(-,root,root,-)
%doc README CHANGES TODO version
%{_datadir}/mediawiki123/extensions/OpenID

%changelog
* Mon Apr 20 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1-1
- Initial packaging

